# Search Team by Name

### `GET` Search Team by Name

```
https://soccer.sportmonks.com/api/v2.0/teams/search/{team_name}
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 2       |

#### Parameters

| Available parameters |                                                                                                                                                   |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=` etc. to your request url.                                 |
| seasons              | Filter stats, topscorers (if included) based on a comma separated list of season ids. Can be used by adding `&seasons=` etc. to your request url. |

#### Include options

`country` `squad` `coach` `transfers` `sidelined` `stats` `venue` `fifaranking` `uefaranking` `visitorFixtures` `localFixtures` `visitorResults` `latest` `upcoming` `goalscorers` `cardscorers` `assistscorers` `aggregatedGoalscorers` `aggregatedCardscorers` `aggregatedAssistscorers` `league` `activeSeasons` `trophies` `rivals`

{% hint style="info" %}
Please note that the squad include only returns the squad of the **current domestic season.**
{% endhint %}

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors.&#x20;

You can learn more about what includes are and how they work here:

{% content-ref url="/pages/-MJXOeyBzTS35Z7kTf1c" %}
[Includes](/v2/tutorials/enriching-your-response/includes.md)
{% endcontent-ref %}

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://soccer.sportmonks.com/api/v2.0/teams/search/manchester?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
 "data": [
        {
            "id": 9,
            "legacy_id": 127,
            "name": "Manchester City",
            "short_code": "MCI",
            "twitter": "@ManCity",
            "country_id": 462,
            "national_team": false,
            "founded": 1880,
            "logo_path": "https://cdn.sportmonks.com/images//soccer/teams/9/9.png",
            "venue_id": 151,
            "current_season_id": 18378,
            "is_placeholder": false
        },
        {
            "id": 14,
            "legacy_id": 375,
            "name": "Manchester United",
            "short_code": "MUN",
            "twitter": "@ManUtd",
            "country_id": 462,
            "national_team": false,
            "founded": 1878,
            "logo_path": "https://cdn.sportmonks.com/images//soccer/teams/14/14.png",
            "venue_id": 206,
            "current_season_id": 18378,
            "is_placeholder": false
        },
        {
            "id": 278,
            "legacy_id": 2533,
            "name": "United of Manchester",
            "short_code": null,
            "twitter": null,
            "country_id": 462,
            "national_team": false,
            "founded": 2005,
            "logo_path": "https://cdn.sportmonks.com/images//soccer/teams/22/278.png",
            "venue_id": 1125,
            "current_season_id": 18600,
            "is_placeholder": false
        },
        {
            "id": 654,
            "legacy_id": 8666,
            "name": "Manchester City U23",
            "short_code": null,
            "twitter": null,
            "country_id": 462,
            "national_team": false,
            "founded": 0,
            "logo_path": "https://cdn.sportmonks.com/images//soccer/teams/14/654.png",
            "venue_id": 12,
            "current_season_id": 18713,
            "is_placeholder": false
        },
        {
            "id": 666,
            "legacy_id": 8806,
            "name": "Manchester United U23",
            "short_code": null,
            "twitter": null,
            "country_id": 462,
            "national_team": false,
            "founded": null,
            "logo_path": "https://cdn.sportmonks.com/images//soccer/teams/26/666.png",
            "venue_id": 1208,
            "current_season_id": 18713,
            "is_placeholder": false
        },
```

{% endtab %}

{% tab title="Field Description" %}

| Field               | Description                                                                                                                                                                                                      |
| ------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`                | The unique id of the team                                                                                                                                                                                        |
| `legacy_id`         | This was for our API version 1.0. It's only of use for old users of our API                                                                                                                                      |
| `name`              | The name of the team                                                                                                                                                                                             |
| `short_code`        | The short code of the team                                                                                                                                                                                       |
| `twitter`           | The official twitter page of the team                                                                                                                                                                            |
| `country_id`        | The unique country id the team is from                                                                                                                                                                           |
| `national_team`     | Indicates if the team is a national team                                                                                                                                                                         |
| `founded`           | The year when the team was founded                                                                                                                                                                               |
| `logo_path`         | The logo URL path of the team logo                                                                                                                                                                               |
| `venue_id`          | The official venue of the team                                                                                                                                                                                   |
| `current_season_id` | The unique id of the season the team is active in                                                                                                                                                                |
| `is_placeholder`    | Added a property on both fixture and team responses called `is_placeholder`. This property indicates if the resource is used to display dummy data. The false of this property will always be a `boolean` value. |
| {% endtab %}        |                                                                                                                                                                                                                  |
| {% endtabs %}       |                                                                                                                                                                                                                  |

{% hint style="info" %}
Check this endpoint in Postman.\
&#x20;                                                             [![Run in Postman](https://run.pstmn.io/button.svg)](https://football-postman.sportmonks.com/#4aad7415-b852-40db-b781-6522e277bf2b)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/endpoint-overview/teams/search-team-by-name.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
